SQLinfo.ru - Все о MySQL Webew.ru: теория и практика веб-технологий

Форум пользователей MySQL

Задавайте вопросы, мы ответим

Вы не зашли.

#1 03.09.2022 21:07:46

WarLikeLaux
Участник
Зарегистрирован: 03.09.2022
Сообщений: 1

Новая версия MySQL (8.0) требует mysql-helpers и не только, почему?

После обновления MySQL с 5.7 до 8.0 MySQL не хочет запускаться с ошибкой ниже.

sudo service mysql start


/etc/init.d/mysql: line 40: /usr/share/mysql/mysql-helpers: No such file or directory
/etc/init.d/mysql: line 51: pathfind: command not found
/etc/init.d/mysql: line 56: get_mysql_option: command not found
/etc/init.d/mysql: line 63: get_running: command not found
/etc/init.d/mysql: line 63: [: : integer expression expected
/etc/init.d/mysql: line 67: verify_ready: command not found
/etc/init.d/mysql: line 68: verify_database: command not found
/etc/init.d/mysql: line 73: verify_server: command not found
 * MySQL Community Server unknown did not start. Please check logs for more details.
2022-09-03T17:43:24.678500Z mysqld_safe A mysqld process already exists

sudo service mysql status

/etc/init.d/mysql: line 40: /usr/share/mysql/mysql-helpers: No such file or directory
/etc/init.d/mysql: line 51: pathfind: command not found
/etc/init.d/mysql: line 56: get_mysql_option: command not found
/etc/init.d/mysql: line 107: get_running: command not found
/etc/init.d/mysql: line 107: [: : integer expression expected
 * MySQL Community Server unknown is not running

ls -l -t /usr/share/mysql/

total 4
drwxr-xr-x 2 root root 4096 Sep  3 23:24 charsets

cat /var/log/mysql/error.log

2022-09-03T17:41:01.416474Z mysqld_safe Logging to '/var/log/mysql/error.log'.
2022-09-03T17:41:01.421968Z mysqld_safe A mysqld process already exists
 
mysql --version

mysql  Ver 8.0.30 for Linux on x86_64 (MySQL Community Server - GPL)

lsb_release -a

No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 20.04.3 LTS
Release:        20.04
BASHname:       focal

Что нужно сделать для решения проблемы?

Отредактированно WarLikeLaux (03.09.2022 21:08:20)

Неактивен

 

#2 04.09.2022 17:12:13

rgbeast
Администратор
MySQL Authorized Developer and DBA
Откуда: Москва
Зарегистрирован: 21.01.2007
Сообщений: 3874

Re: Новая версия MySQL (8.0) требует mysql-helpers и не только, почему?

В каком пакете mysql-server? Какому пакету принадлежит /etc/init.d/mysql ?

dpkg-query -S `which mysqld`
dpkg-query -S  /etc/init.d/mysql

Неактивен

 

Board footer

Работает на PunBB
© Copyright 2002–2008 Rickard Andersson